%define oname opal
%define pwlib_version 1:1.10.7

Name: libopal
Version: 2.2.8
Release: alt2
Serial: 1

Summary: Library for H323 spec

#Url: http://www.openh323.org/
Url: http://ekiga.org
License: MPL
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>

#Source: http://snapshots.ekiga.net/cvs/%oname-cvs.tar.bz2
Source: http://www.ekiga.org/admin/downloads/latest/sources/sources/%oname-%version.tar.bz2
#Patch: %name-gcc4.patch

# Automatically added by buildreq on Sun Jan 22 2006
BuildRequires: gcc-c++ libSDL-devel libexpat-devel libldap-devel libpw-devel libsasl2-devel libspeex-devel libssl-devel libstdc++-devel

BuildPreReq: libpw-devel >= %pwlib_version
Obsoletes: libopenh323

%description
Open Phone Abstraction Library (aka OpenH323 v2)

%package devel
Summary: Development package for opal
Group: Development/Other
Requires: %name = 1:%version-%release
Requires: libpw-devel >= %pwlib_version
Obsoletes: libopenh323-devel

%description devel
Header files for development with opal.

%prep
%setup -q -n %oname-%version
#%patch

%build
%configure \
	--enable-shared=yes --enable-static=no \
	--with-pic=yes --enable-audio --enable-video --enable-ixj \
	--disable-iax

%make_build optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

%install
%make_install PREFIX=%prefix LIBDIR=%_libdir DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc mpl-1.0.htm
%_libdir/*.so.*
#%_libdir/pwlib/codecs/
#%_libdir/pwlib/lid/

%files devel
%_libdir/*.so
%_includedir/%oname/
%_datadir/%oname/

%changelog
* Sun Jun 10 2007 Vitaly Lipatov <lav@altlinux.ru> 1:2.2.8-alt2
- fix internal requires

* Sat May 26 2007 Vitaly Lipatov <lav@altlinux.ru> 1:2.2.8-alt1
- new version 2.2.8 (with rpmrb script)

* Tue Mar 20 2007 Vitaly Lipatov <lav@altlinux.ru> 1:2.2.6-alt2
- fix requires

* Sun Mar 11 2007 Vitaly Lipatov <lav@altlinux.ru> 1:2.2.6-alt1
- new version 2.2.6 (with rpmrb script)

* Sat Feb 17 2007 Vitaly Lipatov <lav@altlinux.ru> 1:2.2.5-alt1
- new version (2.2.5)

* Thu Oct 12 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.2-alt0.1cvs20061011
- new snapshot

* Sun Jul 23 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060723
- new snapshot
- drop gcc patch

* Wed Jun 07 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060605
- new snapshot
- fix GCC4 errors

* Thu May 25 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060524
- really build from CVS 20060524

* Wed May 24 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060521
- new snapshot

* Tue May 16 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060515
- new snapshot

* Thu Apr 13 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060413
- new snapshot
- use make_build
- add patch for as-needed

* Tue Feb 28 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060228
- new snapshot (thanks to Yuri)

* Sat Feb 25 2006 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt0.1
- current cvs snapshot

* Tue Feb 14 2006 Vitaly Lipatov <lav@altlinux.ru> 2.1.3-alt1
- new version
- add Obsoletes for libopenh323

* Sat Jan 21 2006 Vitaly Lipatov <lav@altlinux.ru> 2.1.2-alt1
- new version (release)

* Sat Jan 07 2006 Vitaly Lipatov <lav@altlinux.ru> 2.1.2-alt0.1.cvs20060107
- new version (actually is snapshot)
- initial build for ALT Linux Sisyphus

* Wed Mar 09 2005 Johnny Strom <johnny.strom@linuxvaasa.com> 1.15.3
- Adjusted for the 1.2.1 relase of gnomemeeting.

* Mon Feb 21 2005 Peter Robinson <pbrobinson@gmail.com> 2.1.0-1.FC3
- Initial OPAL rpm
